<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::image_dataset_metadata::image Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><b>image_dataset_metadata</b></li><li class="navelem"><a class="el" href="structdlib_1_1image__dataset__metadata_1_1image.html">image</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structdlib_1_1image__dataset__metadata_1_1image-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::image_dataset_metadata::image Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8b4d8521a4b2522b8a1bb63d8d4204c2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdlib_1_1image__dataset__metadata_1_1image.html#a8b4d8521a4b2522b8a1bb63d8d4204c2">image</a> ()</td></tr>
<tr class="separator:a8b4d8521a4b2522b8a1bb63d8d4204c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2492a215b9b8c61e4c3555e2ce2a34bf"><td class="memItemLeft" align="right" valign="top"><a id="a2492a215b9b8c61e4c3555e2ce2a34bf"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>image</b> (const std::string &amp;f)</td></tr>
<tr class="separator:a2492a215b9b8c61e4c3555e2ce2a34bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a8aabdbf53d1783f4b9a0095fe41effda"><td class="memItemLeft" align="right" valign="top"><a id="a8aabdbf53d1783f4b9a0095fe41effda"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>filename</b></td></tr>
<tr class="separator:a8aabdbf53d1783f4b9a0095fe41effda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9066973fc795686cee58fedf60db40be"><td class="memItemLeft" align="right" valign="top"><a id="a9066973fc795686cee58fedf60db40be"></a>
std::vector&lt; <a class="el" href="structdlib_1_1image__dataset__metadata_1_1box.html">box</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>boxes</b></td></tr>
<tr class="separator:a9066973fc795686cee58fedf60db40be"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a8b4d8521a4b2522b8a1bb63d8d4204c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b4d8521a4b2522b8a1bb63d8d4204c2">&#9670;&nbsp;</a></span>image()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">dlib::image_dataset_metadata::image::image </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">WHAT THIS OBJECT REPRESENTS
    This object represents an annotated image.   
</pre><p> ! </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="image__dataset__metadata_8h_source.html">image_dataset_metadata.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
